# GetCompanyConfiguration

Get configuration settings for this company

`GET /api/v2/companies/{id}/configuration`

**API:** AvaTax API
**Tag:** Companies
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Companies/GetCompanyConfiguration/

## Description

Retrieve a list of all configuration settings tied to this company.
            
Configuration settings provide you with the ability to control features of your account and of your
tax software.  The category name `AvaCertServiceConfig` is reserved for
Avalara internal software configuration values; to store your own company-level settings, please
create a new category name that begins with `X-`, for example, `X-MyCustomCategory`.
            
Company settings are permanent settings that cannot be deleted.  You can set the value of a
company setting to null if desired and if the particular setting supports it.
            
Avalara-based company settings for `AvaCertServiceConfig` affect your company's exemption certificate
processing, and should be changed with care.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ECMAccountUser, ECMCompanyUser, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | integer | path | Yes |  |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{id}/configuration" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```